[Git][debian-gis-team/netcdf][master] 2 commits: Update symbols file.
Bas Couwenberg (@sebastic)
gitlab at salsa.debian.org
Sat Dec 16 12:54:18 GMT 2023
Bas Couwenberg pushed to branch master at Debian GIS Project / netcdf
Commits:
3babf87b by Bas Couwenberg at 2023-12-16T13:31:34+01:00
Update symbols file.
- - - - -
f499b59a by Bas Couwenberg at 2023-12-16T13:53:58+01:00
Add autopkgtest for netcdf utilities.
- - - - -
4 changed files:
- debian/changelog
- debian/libnetcdf19.symbols
- + debian/tests/control
- + debian/tests/netcdf-bin
Changes:
=====================================
debian/changelog
=====================================
@@ -2,6 +2,8 @@ netcdf (1:4.9.2-3) UNRELEASED; urgency=medium
* Add upstream patch to finalize HDF5 library at exit.
(closes: #1058621)
+ * Update symbols file.
+ * Add autopkgtest for netcdf utilities.
-- Bas Couwenberg <sebastic at debian.org> Wed, 13 Dec 2023 18:32:30 +0100
=====================================
debian/libnetcdf19.symbols
=====================================
@@ -3,6 +3,7 @@ libnetcdf.so.19 #PACKAGE# #MINVER#
Cde2h at Base 4.3.3
Cdh2e at Base 4.3.3
DAPparse at Base 4.1.3
+ H5FD_http_finalize at Base 4.9.2
H5FD_http_init at Base 4.9.1
H5Pset_fapl_http at Base 4.9.1
HDF5_def_dim at Base 4.8.0
=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: netcdf-bin
+Depends: gmt-gshhg-full,
+ netcdf-bin
=====================================
debian/tests/netcdf-bin
=====================================
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+SOURCE_FILE="/usr/share/gmt-gshhg/binned_border_f.nc"
+TARGET_FILE="$(basename "${SOURCE_FILE}")"
+
+TEMPDIR="$(mktemp -d)"
+
+cd "${TEMPDIR}" || exit 1
+
+nccopy "${SOURCE_FILE}" "${TARGET_FILE}"
+RC=$?
+
+if [ "${RC}" -ne 0 ]; then
+ cd "${OLDPWD}" || exit 1
+ rm -rf "${TEMPDIR}"
+
+ exit "${RC}"
+fi
+
+SOURCE_KIND="$(ncdump -k "${SOURCE_FILE}")"
+TARGET_KIND="$(ncdump -k "${TARGET_FILE}")"
+
+if [ "${SOURCE_KIND}" != "${TARGET_KIND}" ]; then
+ echo "Error: NetCDF file kind mismatch: ${SOURCE_KIND} vs ${TARGET_KIND}"
+ RC=1
+fi
+
+ncdump "${TARGET_FILE}"
+RC=$?
+
+if [ "${RC}" -ne 0 ]; then
+ cd "${OLDPWD}" || exit 1
+ rm -rf "${TEMPDIR}"
+
+ exit "${RC}"
+fi
+
+cd "${OLDPWD}" || exit 1
+rm -rf "${TEMPDIR}"
+
+exit "${RC}"
View it on GitLab: https://salsa.debian.org/debian-gis-team/netcdf/-/compare/fee3775fa333b7af872182142d0c5d779ffc235d...f499b59aee67b01cd7a7b15372e2674dc3b76b26
--
View it on GitLab: https://salsa.debian.org/debian-gis-team/netcdf/-/compare/fee3775fa333b7af872182142d0c5d779ffc235d...f499b59aee67b01cd7a7b15372e2674dc3b76b26
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/pkg-grass-devel/attachments/20231216/14d2fdb7/attachment-0001.htm>
More information about the Pkg-grass-devel
mailing list